package cn.iselab.mooctest.site.repository;

import cn.iselab.mooctest.site.dao.ReportTaskDao;
import cn.iselab.mooctest.site.domainObject.ReportTask;
import cn.iselab.mooctest.site.model.ReportTaskPO;
import cn.iselab.mooctest.site.util.Converter;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.Optional;

/**
 * @author guochao
 * @date 2019-11-18 17:01
 */
@Repository
public class ReportTaskRepo implements IReportTaskRepo {
    @Autowired
    private ReportTaskDao reportTaskDao;

    @Override
    public Long saveReportTask(ReportTask reportTask) {
        return reportTaskDao.save(Converter.convert(ReportTaskPO.class, reportTask)).getId();
    }

    @Override
    public ReportTask getReportByTraceId(String traceId) {
        Optional<Long> reportTaskOptional = reportTaskDao.findByTraceId(traceId);
        if(!reportTaskOptional.isPresent()){
            return null;
        }
        return Converter.convert(ReportTask.class, reportTaskOptional.get());
    }
}
