package cn.iselab.mooctest.site.web.ctrl;

import cn.iselab.mooctest.site.service.AutoReportProductService;
import cn.iselab.mooctest.site.service.UploadService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.io.File;
import java.io.IOException;

/**
 * @author: Diors.Po
 * @Email: 171256175@qq.com
 * @date 2019-08-05 19:23
 */
@Slf4j
@RestController
public class UploadController {

    @Value("${order.autoReport.service.template.path}")
    private String REPORT_SERVICE_TEMPLATE_PATH;

    @Autowired
    private UploadService uploadService;

    @Autowired
    private AutoReportProductService autoReportProductService;

    @RequestMapping(value = "/api/report/generalReportTemplate", method = RequestMethod.POST)
    public String uploadGeneralFile(MultipartFile file) throws IOException {
        // 将文件上传至本地服务器中
//        log.info("save file to server");

        String fileName = file.getOriginalFilename();
        log.info("fileName " + fileName);
        String name = fileName.substring(0,fileName.indexOf("."));
        uploadFile(name, file);
        autoReportProductService.handleReportTemplate(name,fileName);
        return "SUCCESS";
    }

    private void uploadFile(String name, MultipartFile file) throws IOException {
        // 获取文件名
        String fileName = file.getOriginalFilename();

        // 设置文件存储路径
        String filePath = REPORT_SERVICE_TEMPLATE_PATH + name + "-template/" ;

        String path = filePath + fileName;
        System.out.println("文件存储路径为：" + path);
        // 创建一个新文件
        File dest = new File(path);
        // 检测是否存在目录
        if (!dest.getParentFile().exists()) {
            dest.getParentFile().mkdirs();// 新建文件夹
        }
        file.transferTo(dest);// 把file文件写入dest
    }
}
